Bug 10622 - Add --sip and --nosip switches to koha-list
Summary: Add --sip and --nosip switches to koha-list
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 10003 10624
  Show dependency treegraph
 
Reported: 2013-07-22 15:57 UTC by Tomás Cohen Arazi
Modified: 2014-05-26 21:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10622: add --sip and --nosip switches to koha-list (5.18 KB, patch)
2013-07-22 16:02 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 10622: [SIGNED OFF] add --sip and --nosip switches to koha-list (5.71 KB, patch)
2013-08-09 07:54 UTC, Magnus Enger
Details | Diff | Splinter Review
Bug 10622 - Followup: Add --sip, --nosip and --help to man page (2.99 KB, patch)
2013-08-09 08:11 UTC, Magnus Enger
Details | Diff | Splinter Review
Bug 10622 - [SIGNED OFF] Followup: Add --sip, --nosip and --help to man page (3.10 KB, patch)
2013-08-09 12:57 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 10622: [SIGNED OFF] add --sip and --nosip switches to koha-list (5.76 KB, patch)
2013-09-19 04:34 UTC, Robin Sheat
Details | Diff | Splinter Review
Bug 10622 - [SIGNED OFF] Followup: Add --sip, --nosip and --help to man page (3.15 KB, patch)
2013-09-19 04:34 UTC, Robin Sheat
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2013-07-22 15:57:26 UTC
It might be useful for batch calls, and also for use in koha-common.init.
Comment 1 Tomás Cohen Arazi 2013-07-22 16:02:41 UTC Comment hidden (obsolete)
Comment 2 Tomás Cohen Arazi 2013-07-22 17:09:44 UTC
To test:
- pick the koha-list script from this patch, and
- test ./koha-list --help, ./koha-list -h for usage options
- All switches should work as expected (--noemail --email --sip --nosip).

That's it.
Comment 3 Robin Sheat 2013-07-22 23:32:17 UTC
It might not be a while before I can test this, but I do approve of the idea and at a read the code looks good. So if someone else looks at it first, that's great.
Comment 4 Magnus Enger 2013-08-09 07:54:14 UTC Comment hidden (obsolete)
Comment 5 Magnus Enger 2013-08-09 08:11:46 UTC Comment hidden (obsolete)
Comment 6 Tomás Cohen Arazi 2013-08-09 12:57:47 UTC Comment hidden (obsolete)
Comment 7 Robin Sheat 2013-09-19 04:34:17 UTC
Created attachment 21219 [details] [review]
Bug 10622: [SIGNED OFF] add --sip and --nosip switches to koha-list

Just added those switches.

Sponsored-by: Universidad Nacional de Cordoba
Signed-off-by: Magnus Enger <magnus@enger.priv.no>
I applied the patch on my local dev install, and then copied the
patched koha-list script to a couple of servers with actual
instances running off the packages, to test the script.
- It seems that the -h switch did not work before this patch, now
  both -h and --help works nicely
- --sip and --nosip work as expected, also in combination with
  --email and --noemail

The patch does not add --sip and --nosip to the man page for
koha-list, but I will do a followup for that.

Signed-off-by: Robin Sheat <robin@catalyst.net.nz>
Comment 8 Robin Sheat 2013-09-19 04:34:27 UTC
Created attachment 21220 [details] [review]
Bug 10622 - [SIGNED OFF] Followup: Add --sip, --nosip and --help to man page

The original patch for bug 10622 added the --sip, --nosip and
--help switches to the koha-list command, but did not update the
manpage for the command. This patch does.

To test:
Run these commands and look at the formatted man page:
$ xsltproc /usr/share/xml/docbook/stylesheet/docbook-xsl/manpages/docbook.xsl \
  debian/docs/koha-list.xml
$ man -l koha-list.8

Make sure this test passes:
$ prove -v xt/verify-debian-docbook.t

Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>
Forgot the docs this time, good catch Magnus

Signed-off-by: Robin Sheat <robin@catalyst.net.nz>
Comment 9 Galen Charlton 2013-09-21 17:49:33 UTC
Pushed to master.  Thanks, Tomás and Magnus!
Comment 10 Tomás Cohen Arazi 2013-11-13 16:21:18 UTC
This patch has been pushed to 3.12.x, will be in 3.12.7.